php-doctrine-bundle_1.10.2-1_all.deb


Advertisement

Description

php-doctrine-bundle - bundle library - Doctrine component

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-doctrine-bundle_1.10.2-1_all.deb
Package name php-doctrine-bundle
Package version 1.10.2
Package release 1
Package architecture all
Package type deb
Category universe/php
Homepage https://symfony.com/doc/master/bundles/DoctrineBundle/index.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 42.80 KB
Installed size 308.00 KB
Symfony DoctrineBundle
The Doctrine Project provides several libraries primarily focused on
database storage and object mapping.

Alternatives

Package Version Architecture Repository
php-doctrine-bundle_1.10.2-1_all.deb 1.10.2 all Ubuntu Universe
php-doctrine-bundle - - -

Requires

Name Value
php-common -
php-doctrine-cache-bundle << 2~~
php-doctrine-cache-bundle >= 1.2
php-doctrine-dbal << 3~~
php-doctrine-dbal >= 2.5.12
php-sql-formatter << 2~~
php-sql-formatter >= 1.2.16
php-symfony-console -
php-symfony-dependency-injection -
php-symfony-doctrine-bridge -
php-symfony-framework-bundle -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-doctrine-bundle_1.10.2-1_all.deb
Source Package php-doctrine-bundle

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-doctrine-bundle deb package:
    # sudo apt-get install php-doctrine-bundle

Files

Path
/usr/share/doc/php-doctrine-bundle/README.md
/usr/share/doc/php-doctrine-bundle/changelog.Debian.gz
/usr/share/doc/php-doctrine-bundle/copyright
/usr/share/php/Doctrine/Bundle/DoctrineBundle/ConnectionFactory.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DoctrineBundle.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/ManagerConfigurator.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Registry.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/autoload.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/CreateDatabaseDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/DoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/DropDatabaseDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/GenerateEntitiesDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/ImportMappingDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/ClearMetadataCacheDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/ClearQueryCacheDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/ClearResultCacheDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/CollectionRegionDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/ConvertMappingDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/CreateSchemaDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/DelegateCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/DoctrineCommandHelper.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/DropSchemaDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/EnsureProductionSettingsDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/EntityRegionCacheDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/ImportDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/InfoDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/QueryRegionCacheDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/RunDqlDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/RunSqlDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/UpdateSchemaDoctrineCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Command/Proxy/ValidateSchemaCommand.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Controller/ProfilerController.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DataCollector/DoctrineDataCollector.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DependencyInjection/Configuration.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DependencyInjection/DoctrineExtension.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DependencyInjection/Compiler/DoctrineOrmMappingsPass.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DependencyInjection/Compiler/EntityListenerPass.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/DependencyInjection/Compiler/ServiceRepositoryCompilerPass.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Mapping/ClassMetadataCollection.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Mapping/ContainerAwareEntityListenerResolver.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Mapping/DisconnectedMetadataFactory.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Mapping/EntityListenerServiceResolver.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Repository/ContainerRepositoryFactory.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Repository/ServiceEntityRepository.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Repository/ServiceEntityRepositoryInterface.php
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/config/dbal.xml
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/config/messenger.xml
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/config/orm.xml
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/config/schema/doctrine-1.0.xsd
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/views/Collector/db.html.twig
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/views/Collector/explain.html.twig
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Resources/views/Collector/icon.svg
/usr/share/php/Doctrine/Bundle/DoctrineBundle/Twig/DoctrineExtension.php

Changelog

2019-02-11 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.10.2-1) unstable; urgency=medium
[ Christian Flothmann ]
* provide better error when doctrine/orm is missing
2019-01-10 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.10.1-1) unstable; urgency=medium
* Use debhelper-compat 12
* Update Standards-Version to 4.3.0
2018-12-01 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.10.0-1) unstable; urgency=medium
* Use debhelper-compat 11
* Use https in Format
* Drop get-orig-source target
* Update Standards-Version to 4.2.1
2018-04-28 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.9.1-1) unstable; urgency=medium
* Move project repository to salsa.d.o
* Update Standards-Version to 4.1.4
* Restore upstream changelog
2017-11-25 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.8.1-1) unstable; urgency=medium
[ Alex Rock Ancelet ]
* Fix var typo in DoctrineExtension
[ Gabriel Ostrolucký ]
* Fix #730 compatibility with web profiler 4 (#735)
2017-11-16 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.8.0-1) unstable; urgency=medium
Upload to unstable since the package is again compatible with PHP 7.0
[ Ryan Weaver ]
* Reverts the bump from PHP 5 to PHP 7.1: re-adds php 5.5 support
[ Fabien Potencier ]
* bumped version to 1.8
[ David Prévot ]
* Install new Repository directory
2017-10-26 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.7.2-1) experimental; urgency=medium
[ hubert.lenoir ]
* Add command registration to fix Symfony 3.4 auto-registration deprecation
2017-10-02 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.7.1-1) experimental; urgency=medium
* Upload to experimental since the 1.7 branch depends on PHP 7.1
[ Massimiliano Arione ]
* Add .gitattributes (#688)
[ David Prévot ]
* Update Standards-Version to 4.1.1
* Drop testsuite removed upstream
* Drop documentation removed upstream
* Drop overrides satisfied in stable
2017-08-19 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.7.0-1) unstable; urgency=medium
[ Luís Cobucci ]
* Bump master to 1.7.x
[ David Prévot ]
* Update Standards-Version to 4.0.1
2017-08-11 - David Prévot <taffit@debian.org>
php-doctrine-bundle (1.6.8-1) unstable; urgency=medium
* Update Standards-Version to 4.0.0

See Also

Package Description
php-doctrine-cache-bundle_1.3.5-1_all.deb cache bundle library - Doctrine component
php-doctrine-cache_1.8.0-1_all.deb cache library - Doctrine component
php-doctrine-collections_1.5.0-1_all.deb Collections Abstraction library - Doctrine component
php-doctrine-common_2.10.0-1_all.deb common extensions for Doctrine
php-doctrine-data-fixtures_1.2.2-2_all.deb Data Fixtures for all Doctrine Object Managers
php-doctrine-dbal_2.9.2-1_all.deb database abstraction layer for Doctrine
php-doctrine-event-manager_1.0.0-1_all.deb Doctrine Event Manager component
php-doctrine-inflector_1.2.0-1_all.deb string manipulations library - Doctrine component
php-doctrine-instantiator_1.1.0-2_all.deb lightweight utility to instantiate objects in PHP
php-doctrine-lexer_1.0.1-4_all.deb base lexer library - Doctrine component
php-doctrine-orm_2.6.3+dfsg-1_all.deb tool for object-relational mapping
php-doctrine-persistence_1.1.0-2_all.deb Doctrine Persistence abstractions
php-doctrine-reflection_1.0.0-1_all.deb Doctrine Reflection component
php-dompdf_0.6.2+dfsg-3_all.deb HTML to PDF converter
php-ds_1.2.6-2_amd64.deb PHP extension providing efficient data structures for PHP 7
Advertisement
Advertisement